New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Needed to install elpy-profile.el manually #1129

Closed
timehaven opened this Issue May 2, 2017 · 7 comments

Comments

Projects
None yet
5 participants
@timehaven

timehaven commented May 2, 2017

To upgrade today, I:

  • rm ~/.emacs.d/elpa/elpy*
  • Added
(add-to-list 'package-archives '("elpy" . "https://jorgenschaefer.github.io/packages/"))
  • refreshed packages with package-refresh-contents
  • installed with
(use-package elpy
    :ensure t
    :bind (:map elpy-mode-map
		([f12] . elpy-shell-send-region-or-buffer)))
  (elpy-enable)

and received an error that elpy-profile.el did not exist.

I then copied the file manually from github and placed in my new ~/.emacs.d/elpa/elpy-1.15.0/ dir and everything works fine (at least startup).

@ajsteven130

This comment has been minimized.

Show comment
Hide comment
@ajsteven130

ajsteven130 May 3, 2017

I can confirm this. I had exactly the same problem using the same package archive and installation method. I resolved it by cloning the git repo and installing from there.

ajsteven130 commented May 3, 2017

I can confirm this. I had exactly the same problem using the same package archive and installation method. I resolved it by cloning the git repo and installing from there.

@vincentmwong

This comment has been minimized.

Show comment
Hide comment
@vincentmwong

vincentmwong May 3, 2017

I can confirm as well. I also copied elpy-profile.el from github and inserted it manually, and it seems to work. (I'm new to emacs and elpy so I don't know what to test for, but I can test anything if needed.)

vincentmwong commented May 3, 2017

I can confirm as well. I also copied elpy-profile.el from github and inserted it manually, and it seems to work. (I'm new to emacs and elpy so I don't know what to test for, but I can test anything if needed.)

@soupault

This comment has been minimized.

Show comment
Hide comment
@soupault

soupault May 6, 2017

Can confirm this. Was not an issue for 1.14. Started to see this with an update to 1.15.

soupault commented May 6, 2017

Can confirm this. Was not an issue for 1.14. Started to see this with an update to 1.15.

@jorgenschaefer

This comment has been minimized.

Show comment
Hide comment
@jorgenschaefer

jorgenschaefer May 13, 2017

Owner

I just released Elpy 1.15.1, does this fix the problem?

Owner

jorgenschaefer commented May 13, 2017

I just released Elpy 1.15.1, does this fix the problem?

@jorgenschaefer jorgenschaefer added the bug label May 13, 2017

@jorgenschaefer jorgenschaefer modified the milestones: v1.15, v1.16 May 13, 2017

@soupault

This comment has been minimized.

Show comment
Hide comment
@soupault

soupault May 13, 2017

No issues so far with the clean installation of 1.15.1.

soupault commented May 13, 2017

No issues so far with the clean installation of 1.15.1.

@jorgenschaefer jorgenschaefer modified the milestones: v1.16, v1.17 Jul 28, 2017

@soupault

This comment has been minimized.

Show comment
Hide comment
@soupault

soupault Aug 12, 2017

I think this should be closed. Everything still looks good in elpy 1.16.0.

soupault commented Aug 12, 2017

I think this should be closed. Everything still looks good in elpy 1.16.0.

@jorgenschaefer

This comment has been minimized.

Show comment
Hide comment
@jorgenschaefer

jorgenschaefer Aug 12, 2017

Owner

True, thank you for reminding me :-)

Owner

jorgenschaefer commented Aug 12, 2017

True, thank you for reminding me :-)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment